use 教学成绩管理数据库
select xs1.姓名,xs1.学号 ,xs2.学号
from 学生信息表 as xs1 join 学生信息表 as xs2 
    on xs1.姓名 = xs2.姓名
where xs1.学号<>xs2.学号

select 姓名, 考核名称
from 学生信息表 cross join 考核信息表
order by 学号, 考核ID

--select 姓名, 名称
--from 学生信息表 cross join 课程信息表
--where 班级编号 = '200301' and 编号 < '900011'
--order by 姓名, 名称

